Bug 230282 - Review Request: trang - Multi-format schema converter based on RELAX NG
Summary: Review Request: trang - Multi-format schema converter based on RELAX NG
Status: CLOSED DUPLICATE of bug 655581
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 246591
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 22:44 UTC by Matěj Cepl
Modified: 2018-04-11 07:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 23:01:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attempt to package trang by Ville Skytta (1.03 MB, application/x-rpm)
2010-10-25 19:35 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2007-02-27 22:44:10 UTC
Spec URL: http://www.ceplovi.cz/matej/progs/rpms/trang.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/trang-20030619-2.src.rpm
Description:
Trang converts between different schema languages for XML.  It
supports the following languages: RELAX NG (both XML and compact
syntax), XML 1.0 DTDs, W3C XML Schema.  A schema written in any of the
supported schema languages can be converted into any of the other
supported schema languages, except that W3C XML Schema is supported
for output only, not for input.

Trang can also infer a schema from one or more example XML documents.

Trang is constructed around an RELAX NG object model designed to
support schema conversion.  For each schema language supported for
input, there is an input module that can convert from the schema
language into this internal object model.  Similarly, for each schema
language supported for output, there is an output module that can
convert from the internal object model in the schema language.

Trang aims to produce human-understandable schemas; it tries for a
translation that preserves all aspects of the input schema that may be
significant to a human reader, including the definitions, the way the
schema is divided into files, annotations and comments.

Comment 1 Matěj Cepl 2007-06-17 22:02:05 UTC
Totally doesn't work with GCJ in Fedora 7. Suspending review request until
either able to build with GCJ or IcedTea becomes hot in Fedora ;-).

Comment 2 Matěj Cepl 2007-07-03 23:01:06 UTC
Closing this review as I am probably not able to make it work -- if you are
interested in this bug, feel free to reopen and take over the bug. Some notes
about problems related to compiling this package are in bug 246591.

Comment 3 Matěj Cepl 2007-07-04 23:01:27 UTC
It should be probably mentioned for anybody who would like to revive this bug,
is that attachment 158415 [details] is a src.rpm package (the last version without
-findirect-dispatch modification).

Comment 4 Matěj Cepl 2010-10-25 19:35:34 UTC
Created attachment 455609 [details]
Attempt to package trang by Ville Skytta

Ville Skytta kindly packaged trang for Fedora. None of us wants to maintain this package, so anybody who wants to take it, go ahead, review it, and submit for the package review.

Comment 5 Ville Skyttä 2010-11-21 20:02:29 UTC

*** This bug has been marked as a duplicate of bug 655581 ***


Note You need to log in before you can comment on or make changes to this bug.